﻿using System;
using System.Collections.Generic;

using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.CodeDom;

using System.Web.Services;
using Telerik.Web.UI;
using System.Data;
using Telerik.Web.UI.Calendar.Collections;

partial class _Default : System.Web.UI.Page
{
    protected void RadCalendar1_SelectionChanged(object sender, Telerik.Web.UI.Calendar.SelectedDatesEventArgs e)
    {
        DateTimeCollection selected = e.SelectedDates;
        if (OldSelectedDates.Count > 0)
        {
            Label1.Text = (OldSelectedDates[OldSelectedDates.Count - 1] as RadDate).Date.ToString();
        }
        else
        {
            Label1.Text = "Label";
        }
        if (selected.Count > 0)
        {
            Label2.Text = (selected[selected.Count - 1] as RadDate).Date.ToString();
        }
        else
        {
            Label2.Text = "Label";
        }
        OldSelectedDates = selected;
    }
    public DateTimeCollection OldSelectedDates
    {
        get
        {
            DateTimeCollection defaultCollection = new DateTimeCollection();
            if (Session["OldSelectedDates"] == null)
                return defaultCollection;
            else
                return (DateTimeCollection)Session["OldSelectedDates"];
        }
        set
        {
            Session["OldSelectedDates"] = value;
        }
    }
}








